Package org.eclipse.ui.branding

## Interface IBundleGroupConstants

    public interface IBundleGroupConstants

These constants define the set of properties that the UI expects to be available via `IBundleGroup.getProperty(String)`.

Since:
  3.0
See Also:
  `IBundleGroup.getProperty(String)`

### Field Summary

Fields
`static String` `ABOUT_TEXT` The text to show in an "about features" dialog.
`static String` `BRANDING_BUNDLE_ID` The feature's branding bundle id (optional).
`static String` `BRANDING_BUNDLE_VERSION` The feature's branding bundle version (optional).
`static String` `FEATURE_IMAGE` An image which can be shown in an "about features" dialog (32x32).
`static String` `LICENSE_HREF` The URL of the license page for the feature (optional).
`static String` `TIPS_AND_TRICKS_HREF` A help reference for the feature's tips and tricks page (optional).
`static String` `WELCOME_PAGE` The feature's welcome page (special XML-based format).
`static String` `WELCOME_PERSPECTIVE` The id of a perspective in which to show the welcome page (optional).

### Field Detail

#### ABOUT_TEXT

    static final String ABOUT_TEXT

The text to show in an "about features" dialog.

See Also:
  Constant Field Values

#### FEATURE_IMAGE

    static final String FEATURE_IMAGE

An image which can be shown in an "about features" dialog (32x32).

The value is a fully qualified valid URL.

See Also:
  Constant Field Values

#### TIPS_AND_TRICKS_HREF

    static final String TIPS_AND_TRICKS_HREF

A help reference for the feature's tips and tricks page (optional).

See Also:
  Constant Field Values

#### WELCOME_PAGE

    static final String WELCOME_PAGE

The feature's welcome page (special XML-based format).

The value is a fully qualified valid URL.

Products designed to run "headless" typically would not have such a page.

See Also:
  Constant Field Values

#### WELCOME_PERSPECTIVE

    static final String WELCOME_PERSPECTIVE

The id of a perspective in which to show the welcome page (optional).

See Also:
  Constant Field Values

#### LICENSE_HREF

    static final String LICENSE_HREF

The URL of the license page for the feature (optional).

The value is a fully qualified valid URL.

See Also:
  Constant Field Values

#### BRANDING_BUNDLE_ID

    static final String BRANDING_BUNDLE_ID

The feature's branding bundle id (optional).

Since:
  3.5
See Also:
  Constant Field Values

#### BRANDING_BUNDLE_VERSION

    static final String BRANDING_BUNDLE_VERSION

The feature's branding bundle version (optional).

Since:
  3.5
See Also:
  Constant Field Values